Summary:	The InterNetNews (INN) system, an Usenet news server.
Name:		inn
Version:	2.3.5
Release:	1.3.0
Copyright:	GPL
Group:		System Environment/Daemons
Source0:	ftp://ftp.isc.org/isc/inn/inn-%{version}.tar.gz
Source2:	inn-default-distributions
Source4:	inn-cron-expire
Source5:	inn-cron-rnews
Source7:	inn-cron-nntpsend
Source8:	innd.init
Source10:	inn-faq.tar.gz
Patch0:		inn-2.3.1-rh-rwm1.diff
Patch1:		inn-2.3.3-strerror.patch
#Patch2:		inn-2.3.5-fix-ckpasswd-db-includes-gd-1.diff
Prereq:		/sbin/chkconfig, grep, textutils, sed, fileutils, sh-utils
Requires:	bash >= 2.0, inews
Buildroot:	%{_tmppath}/%{name}-%{release}-root

# XXX white out bogus perl requirement for now
Provides: perl(::usr/lib/innshellvars.pl)

%description
INN (InterNetNews) is a complete system for serving Usenet news and/or
private newsfeeds.  INN includes innd, an NNTP (NetNews Transport
Protocol) server, and nnrpd, a newsreader that is spawned for each
client.  Both innd and nnrpd vary slightly from the NNTP protocol, but
not in ways that are easily noticed.

Install the inn package if you need a complete system for serving and
reading Usenet news.  You may also need to install inn-devel, if you
are going to use a separate program which interfaces to INN, like
newsgate or tin.

%files -f files.main
  %defattr(-,news,news)
  %dir /usr/lib/news/bin/control
  %dir /usr/lib/news/bin/filter
  %dir /usr/lib/news/bin/rnews.libexec
  %dir /usr/lib/news/bin/auth
  %dir /etc/news
  %dir /var/spool/news
  %dir /var/spool/news/archive
  %dir /var/spool/news/articles
  %dir /var/spool/news/incoming
  %dir /var/spool/news/incoming/bad
  %dir /var/spool/news/innfeed
  %dir /var/spool/news/outgoing
  %dir /var/spool/news/overview
  %dir /var/log/news
  %dir /var/log/news/OLD
  %dir /var/lib/news
  %dir /var/lib/news/tmp
  %dir /var/run/news
  %defattr(-,root,root)
  %{_mandir}/man[158]/*
  %doc NEWS README* ChangeLog CONTRIBUTORS LICENSE HISTORY INSTALL
  %doc %dir samples

%package devel
Summary:	The INN (InterNetNews) library.
Group:		Development/Libraries
Requires:	inn = %{version}

%description devel
The inn-devel package contains the INN (InterNetNews) library, which
several programs that interface with INN need in order to work (for
example, newsgate and tin).

If you are installing a program which must interface with the INN news
system, you should install inn-devel.

%files devel -f files.devel
  %defattr(-,root,root)
  %{_mandir}/man3/*

%package -n inews
Summary:	Sends Usenet articles to a local news server for distribution.
Group:		System Environment/Daemons

%description -n inews
The inews program is used by some news programs (for example, inn and
trn) to post Usenet news articles to local news servers.  Inews reads
an article from a file or standard input, adds headers, performs some
consistency checks and then sends the article to the local news server
specified in the inn.conf file.

Install inews if you need a program for posting Usenet articles to
local news servers.

%files -n inews
  %defattr(-,root,root)
  %config(noreplace) /etc/news/inn.conf
  /usr/bin/inews
  %attr(0755,root,root) /usr/lib/news/bin/inews
  %{_mandir}/man1/inews*

%prep
%setup -q -a 10
%patch0 -p1
%patch1 -p1
#%patch2 -p1
perl -pi -e 's/LOCK_READ/LLOCK_READ/' `find . -type f`
perl -pi -e 's/LOCK_WRITE/LLOCK_WRITE/' `find . -type f`

%build
with_tmp_path=/var/lib/news/tmp ./configure --prefix=/usr/lib/news \
	--sysconfdir=/etc/news --mandir=%{_mandir} \
	--with-log-dir=/var/log/news --with-spool-dir=/var/spool/news\
	--with-db-dir=/var/lib/news --with-run-dir=/var/run/news \
	--with-etc-dir=/etc/news --with-tmp-dir=/var/lib/news/tmp \
	--with-perl --enable-shared --enable-uucp-rnews \
	--enable-pgp-verify --with-sendmail=/usr/sbin/sendmail \
	--with-news-user=news --with-news-group=news --with-news-master=news \
        %{_target_platform}

  # XXX -- Kill this -- rwm
  # XXX don't include <db1/ndbm.h> to avoid linking with -ldb1.
  # perl -pi -e 's/HAVE_DB1_NDBM_H/XXX_HAVE_DB1_NDBM_H/' ./include/config.h

  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT
  make install DESTDIR=$RPM_BUILD_ROOT

  # -- Install man pages needed by suck et al.
  mkdir -p $RPM_BUILD_ROOT/usr/include/inn
  for f in clibrary.h configdata.h config.h dbz.h libinn.h autoconfig.h storage.h
  do
      install -c -m 0644 ./include/$f $RPM_BUILD_ROOT/usr/include/inn
  done

  mkdir -p $RPM_BUILD_ROOT/etc
  mv $RPM_BUILD_ROOT/usr/lib/news/bin/rc.news $RPM_BUILD_ROOT/etc

  touch     $RPM_BUILD_ROOT/var/lib/news/subscriptions
  chmod 644 $RPM_BUILD_ROOT/var/lib/news/subscriptions

  install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/var/lib/news/distributions

  mkdir -p $RPM_BUILD_ROOT/etc/cron.{hourly,daily}
  install %{SOURCE4} $RPM_BUILD_ROOT/etc/cron.daily/inn-cron-expire
  install %{SOURCE5} $RPM_BUILD_ROOT/etc/cron.hourly/inn-cron-rnews
  install %{SOURCE7} $RPM_BUILD_ROOT/etc/cron.hourly/inn-cron-nntpsend

  mkdir -p $RPM_BUILD_ROOT/etc/init.d
  install %{SOURCE8} $RPM_BUILD_ROOT/etc/init.d/innd

  touch $RPM_BUILD_ROOT/var/lib/news/history
  #LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/bin/makedbz -i \
  #	-f $RPM_BUILD_ROOT/var/lib/news/history
  #chmod 644 $RPM_BUILD_ROOT/var/lib/news/*

  cat > $RPM_BUILD_ROOT/etc/news/.profile <<EOF
PATH=\$PATH:/usr/lib/news/bin
export PATH
EOF

  # we get this from cleanfeed
  rm -f $RPM_BUILD_ROOT/usr/lib/news/bin/filter/filter_innd.pl

  #Fix perms in sample directory to avoid bogus dependencies
  find samples -name "*.in" -exec chmod a-x {} \;

  mkdir -p $RPM_BUILD_ROOT/usr/bin
  ln -sf ../lib/news/bin/inews $RPM_BUILD_ROOT/usr/bin/inews
  ln -sf ../lib/news/bin/rnews $RPM_BUILD_ROOT/usr/bin/rnews

  #Build filelist
  echo "%defattr(-,news,news)" > files.list
  find $RPM_BUILD_ROOT -type f -or -type l | \
	sed -e "s|$RPM_BUILD_ROOT||g" | \
	sed 's|^/etc/cron|%config(noreplace) %attr(-,root,root) &|' | \
	sed 's|^/etc|%config(noreplace) &|' | \
	sed 's|^/var/lib/news/|%config(noreplace) &|' | \
	sed 's|.*innshellvar|%config &|' | \
	sed 's|/var/log/news|%ghost &|' | \
	sed 's|/usr/lib/news/bin/inndstart$|%attr(4550,root,news) /usr/lib/news/bin/inndstart|' | \
	sed 's|/usr/lib/news/bin/startinnfeed$|%attr(4550,root,news) /usr/lib/news/bin/startinnfeed|' | \
	sed 's|/usr/lib/news/bin/rnews$|%attr(4550,uucp,news) /usr/lib/news/bin/rnews|' > files.list
(echo "%defattr(-,news,news)" ; grep -v inews files.list | \
	egrep -v "\.(h|so|a|la)$" | \
	grep -v "news/inn.conf" | \
	grep -v "/man/") > files.main
  echo "%defattr(-,root,root)" > files.devel
  egrep "\.(h|so|a|la)$" files.list >> files.devel

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
  rm -f files.list files.main files.devel files.inews

%post
  /sbin/chkconfig --add innd

  umask 002
  touch /var/log/news/news.notice
  touch /var/log/news/news.crit
  touch /var/log/news/news.err
  chown -R news.news /var/log/news*

#%triggerpostun -- inn < 2.3.0
#service innd stop > /dev/null 2>&1
#exit 0

#%triggerin -- sysklogd
#if [ -f /etc/syslog.conf ]; then
#  if ! grep -q INN /etc/syslog.conf; then
#    sed 's/mail.none;/mail.none;news.none;/' < /etc/syslog.conf > /etc/syslog.conf.inn
#    mv /etc/syslog.conf.inn /etc/syslog.conf
#
#    echo '' \
#       >> /etc/syslog.conf
#    echo '#' \
#       >> /etc/syslog.conf
#    echo '# INN' \
#       >> /etc/syslog.conf
#    echo '#' \
#       >> /etc/syslog.conf
#    echo 'news.=crit                                        /var/log/news/news.crit'   >> /etc/syslog.conf
#    echo 'news.=err                                         /var/log/news/news.err'    >> /etc/syslog.conf
#    echo 'news.notice                                       /var/log/news/news.notice' >> /etc/syslog.conf
#    fi
#  if [ -f /var/run/syslog.pid ]; then
#    kill -HUP `cat /var/run/syslog.pid` 2> /dev/null ||:
#  fi
#fi

%preun
if [ $1 = 0 ]; then
    /etc/init.d/innd stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del innd
    if [ -f /var/lib/news/history.dir ]; then
       rm -f /var/lib/news/history.*
    fi
fi

%postun
if [ "$1" -ge 1 ]; then
    /etc/init.d/innd condrestart > /dev/null 2>&1 || :
fi

%changelog
* Tue May 06 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3.5, Release 1.3.0
  - Initial build for EnGarde Secure Community 2.
  - Package taken from Red Hat, EnGarde-ized, %changelog removed.
